require 'puppet/resource_api'

Puppet::ResourceApi.register_type(
  name: 'dsc_xinternetexplorerhomepage',
  dscmeta_resource_friendly_name: 'xInternetExplorerHomePage',
  dscmeta_resource_name: 'xInternetExplorerHomePage',
  dscmeta_module_name: 'xInternetExplorerHomePage',
  dscmeta_module_version: '1.0.0',
  docs: 'The DSC xInternetExplorerHomePage resource type.
         Automatically generated from version 1.0.0',
  features: ['simple_get_filter', 'canonicalize'],
  attributes: {
    name: {
      type:      'String',
      desc:      'Description of the purpose for this resource declaration.',
      behaviour: :namevar,
    },
    dsc_startpage: {
      type: 'String',
      desc: 'Specifies the URL for the home page of Internet Explorer.',
      behaviour: :namevar,
      mandatory_for_get: true,
      mandatory_for_set: true,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_secondarystartpages: {
      type: 'Optional[String]',
      desc: 'Specifies the URL for the secondary home pages of Internet Explorer.',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
    dsc_psdscrunascredential: {
      type: 'Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]',
      desc: ' ',
      behaviour: :parameter,
      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'PSCredential',
      mof_is_embedded: true,
    },
    dsc_ensure: {
      type: "Optional[Enum['Present', 'Absent']]",
      desc: 'Should the IE home page is configured or unconfigured.',

      mandatory_for_get: false,
      mandatory_for_set: false,
      mof_type: 'String',
      mof_is_embedded: false,
    },
  },
)
